Name:           spectrwm
Version:        2.1.1
Release:        %mkrel 4
Summary:        Small Dynamic Tiling Window Manager for X11
License:        ISC and BSD with advertising and BSD
Group:          Graphical desktop/Other
URL:            https://opensource.conformal.com/wiki/scrotwm
Source0:        http://opensource.conformal.com/snapshots/%{name}/%{name}-%{version}.tgz
Source10:       COPYING
# fixed so underlinking issue is gone
Patch103:       scrotwm-0.9.34-mga-deb-improve-makefile.patch

BuildRequires:  libx11-devel
BuildRequires:  libxrandr-devel
BuildRequires:  libxtst-devel 
BuildRequires:  libxt-devel
BuildRequires:  gettext
BuildRequires:  pkgconfig(xcb-icccm)
BuildRequires:  pkgconfig(xcb-keysyms)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(xft)
BuildRequires:  pkgconfig(xcb-atom)

Suggests:       dmenu
Suggests:       sysstat
Suggests:       xterm
Suggests:       terminus-font

Provides:       scrotwm
Obsoletes:      scrotwm

%description
Scrotwm is a small dynamic tiling window manager for X11. It tries to stay out
of the way so that valuable screen real estate can be used for much more
important stuff. It has sane defaults and does not require one to learn a
language to do any configuration. It was written by hackers for hackers and it
strives to be small, compact and fast.


%prep
%setup -q
#patch103 -p0

%build
CFLAGS="%optflags" \
LDFLAGS="%ldflags" \
%make -C linux/ PREFIX=%{_prefix} \
                LIBDIR=%{_libdir}


%install
%makeinstall_std -C linux/ PREFIX=%{_prefix} \
                           LIBDIR=%{_libdir} \
                           DESTDIR=%{buildroot}

mkdir -p %{buildroot}%{_mandir}/{es,it,pt,ru}/man1/
mv %{buildroot}%{_mandir}/man1/%{name}_es.1 %{buildroot}%{_mandir}/es/man1/%{name}.1
mv %{buildroot}%{_mandir}/man1/%{name}_it.1 %{buildroot}%{_mandir}/it/man1/%{name}.1
mv %{buildroot}%{_mandir}/man1/%{name}_pt.1 %{buildroot}%{_mandir}/pt/man1/%{name}.1
mv %{buildroot}%{_mandir}/man1/%{name}_ru.1 %{buildroot}%{_mandir}/ru/man1/%{name}.1

#conf file
install -D -m 0644 -p %{name}.conf %{buildroot}%{_sysconfdir}/%{name}.conf

#examples
install -D -m 0655 -p baraction.sh %{buildroot}%{_datadir}/doc/%{name}/examples/baraction.sh
install -D -m 0655 -p initscreen.sh %{buildroot}%{_datadir}/doc/%{name}/examples/initscreen.sh
install -D -m 0655 -p screenshot.sh %{buildroot}%{_datadir}/doc/%{name}/examples/screenshot.sh

# start file
cat > %{buildroot}%{_bindir}/start%{name} << EOF
exec %{_bindir}/%{name}
EOF

chmod 755 %{buildroot}%{_bindir}/start%{name}

# session file
install -d %{buildroot}%{_sysconfdir}/X11/wmsession.d
cat > %{buildroot}%{_sysconfdir}/X11/wmsession.d/41%{name} << EOF
NAME=SpectrWM
ICON=
DESC=SpectrWM window manager
EXEC=%{_bindir}/start%{name}
SCRIPT:
exec %{_bindir}/start%{name}
EOF

#license
install -D -m 0644 -p %{_sourcedir}/COPYING %{buildroot}%{_datadir}/doc/%{name}/COPYING

%find_lang %{name} --with-man

%files -f %{name}.lang
%doc %{_datadir}/doc/%{name}
%config(noreplace) %{_sysconfdir}/%{name}.conf
%config(noreplace) %{_sysconfdir}/X11/wmsession.d/*
%{_bindir}/*
%{_libdir}/libswmhack.so.*
%{_mandir}/man1/%{name}.1*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.1.1-4.mga4
+ Revision: 522551
- Mageia 4 Mass Rebuild

* Sun Mar 17 2013 lmenut <lmenut> 2.1.1-3.mga3
+ Revision: 403614
- rebuild for new rpm-mageia-setup
  do not own man lang directories (mga #9055)

* Mon Jan 14 2013 umeabot <umeabot> 2.1.1-2.mga3
+ Revision: 382467
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 2.1.1-1.mga3
+ Revision: 324832
- add pkgconfig(xcb-atom) as BR
- add pkgconfig(xft) as BR
- add pkgconfig(xcursor) as BR
- Global transition from scrotwm to spectrwm
- update Source0
- new version 2.1.1
- upstream rename
- upstream rename
- upstream rename

* Sun Dec 02 2012 kamil <kamil> 0.11.0-1.mga3
+ Revision: 324762
- new version 0.11.0

* Mon Jan 16 2012 kamil <kamil> 0.10.0-0.mga2
+ Revision: 197017
- fix build
- new version 0.10.0
- drop patches merged upstream
  o deb-improve-man-page.patch
  o deb-update-italian-man-page.patch
- drop patches no needed according to upstream
  o deb-remove-bash-assumptions.patch
  o deb-remove-openbsd-assumptions.patch
  o deb-try-versioned-dlopen.patch
  o deb-improve-makefile.patch
- rediff and simplicity patch (drop parts unneeded according to upstream)
  o mga-deb-improve-makefile.patch

* Fri Dec 16 2011 obgr_seneca <obgr_seneca> 0.9.34-4.mga2
+ Revision: 182745
- added mga to improve-makefile.patch

* Fri Dec 16 2011 obgr_seneca <obgr_seneca> 0.9.34-3.mga2
+ Revision: 182619
- removed _disable_ld_no_undefined
- fixed patch 103 so underlinking is gone

* Tue Dec 13 2011 kamil <kamil> 0.9.34-2.mga2
+ Revision: 181320
- revert again to %%{_sourcedir} as it is in RPM SPEC policy

* Tue Dec 13 2011 obgr_seneca <obgr_seneca> 0.9.34-1.mga2
+ Revision: 181206
- removed use of sourcedir

  + kamil <kamil>
    - replace %%{_datadir}/man with %%{_mandir}
    - use %%find_lang --with-man to handle localised man-pages
    - add BR gettext for %%find_lang
    - make dmenu,sysstat,xterm,terminux-font suggested not required
    - use _disable_ld_no_undefined
    - don't ship xsession file - it's done automagically by file triggers
    - spec adapted and totally rewritten for Mageia
    - use patches from Debian
     o scrotwm-0.9.34-deb-improve-makefile.patch
     o scrotwm-0.9.34-deb-improve-man-page.patch
     o scrotwm-0.9.34-deb-remove-bash-assumptions.patch
     o scrotwm-0.9.34-deb-remove-openbsd-assumptions.patch
     o scrotwm-0.9.34-deb-try-versioned-dlopen.patch
     o scrotwm-0.9.34-deb-update-italian-man-page.patch
    - imported package scrotwm


* Tue Jun 14 2011 pascal.bleser@opensuse.org
- update to 0.9.30:
  * now shows the window title in the status bar
  * adds border_width for bar and windows
  * applications like xemacs that would endlessly redraw themselves have been
    fixed
  * a feature to iconize applications has been added
  * when moving a transient to another workspace, the parent is moved as well
  * works around transients that lie about their parent window; this fixes a
    ton of little nits that were not obvious
  * a FOCUSPREV quirk has been added to force the application on exit to focus
    on the application that launched them
  * it prevents double red bordering when an app crashes
  * it fixes drag-to-float
* Tue Jan 18 2011 pascal.bleser@opensuse.org
- update to 0.9.28:
  * fixes 2 crashes
  * adds the window title to the status bar option
* Thu Oct 21 2010 pascal.bleser@opensuse.org
- update to 0.9.27:
  * adds EWMH support
  * fixes a bug where keyboard strokes were no longer accepted
- fixed bugs in the xinitrc file
- added scripts
* Thu Sep 16 2010 pascal.bleser@opensuse.org
- update to 0.9.26:
  * a crash where an app creates and deletes a window quicker than the WM could handle was fixed
  * a borderless option was added
  * the bar can now be moved to the bottom
  * rewritten spawning code fixes a problem with gvim writing to a non-existent stderr
* Sat Jul 10 2010 pascal.bleser@opensuse.org
- update to 0.9.25:
  * makes NVIDIA xrandr work
  * new signal handler: SIGHUP now restarts the wm
  * borderless support has been added; floaters remember their locations
  * prior workspace action has been added
  * several bugfixes
* Tue Apr 20 2010 pascal.bleser@opensuse.org
- update to 0.9.23:
  * fixes an order of operation issue where windows were being unmapped before the new ones were mapped; this should result in a significant speed increase on certain machines when switching work spaces; it fixes a few nits and some memory leaks
- changes from 0.9.21:
  * fixes tiny focus problems
  * adds a Russian translation
* Sat Dec 19 2009 pascal.bleser@opensuse.org
- initial package (0.9.20)
